libkate: kate_event Struct Reference

# kate_event Struct Reference

`#include <kate.h>`

## Data Fields
kate_int64_t | start
kate_int64_t | duration
kate_int64_t | backlink
kate_float | start_time
kate_float | end_time
kate_int32_t | id
kate_text_encoding | text_encoding
kate_text_directionality | text_directionality
kate_const char * | language
kate_const char * | text
size_t | len
size_t | len0
size_t | nmotions
kate_const kate_motion *kate_const * | motions
kate_const kate_region * | region
kate_const kate_style * | style
kate_const kate_style * | secondary_style
kate_const kate_font_mapping * | font_mapping
kate_const kate_palette * | palette
kate_const kate_bitmap * | bitmap
kate_markup_type | text_markup_type
size_t | nbitmaps
kate_const kate_bitmap *kate_const * | bitmaps

## Detailed Description

This is an event passed to the user. A kate_tracker may be used to track animation changes to this event.

Examples:

  decoding.c, and high.c.

## Field Documentation

kate_int64_t kate_event::backlink

the relative offset in granules since the start of the earliest still active event (positive or zero)

kate_const kate_bitmap* kate_event::bitmap

bitmap to use as background (may be NULL for none)

Referenced by kate_tracker_remap().

kate_const kate_bitmap* kate_const* kate_event::bitmaps

the list of attached bitmaps (may be NULL if none)

kate_int64_t kate_event::duration

the duration in granules

kate_float kate_event::end_time

the time at which this event ends

Referenced by kate_tracker_remap(), and kate_tracker_update().

kate_const kate_font_mapping* kate_event::font_mapping

font mapping to use for the text (may be NULL for no particular mapping)

kate_int32_t kate_event::id

unique id to identify this event

kate_const char* kate_event::language

language of the text in this event (may be NULL if no override)

size_t kate_event::len

length in bytes of the text

size_t kate_event::len0

length in bytes of the text, including terminating zero(s)

Referenced by kate_tracker_init().

kate_const kate_motion* kate_const* kate_event::motions

the list of attached motions (may be NULL if none)

size_t kate_event::nbitmaps

number of attached bitmaps (may be zero)

size_t kate_event::nmotions

number of attached motions (may be zero)

Referenced by kate_tracker_update().

kate_const kate_palette* kate_event::palette

palette to use as background (may be NULL for none)

kate_const kate_region* kate_event::region

region to display in (may be NULL for no particular region)

Referenced by kate_tracker_update().

kate_const kate_style* kate_event::secondary_style

secondary style to display text (may be NULL for no particular style)

Referenced by kate_tracker_update().

kate_int64_t kate_event::start

the time at offset rate at which this event starts

kate_float kate_event::start_time

the time at which this event starts

Referenced by kate_tracker_remap(), and kate_tracker_update().

kate_const kate_style* kate_event::style

style to display text (may be NULL for no particular style)

Referenced by kate_tracker_update().

kate_const char* kate_event::text

the event text (may be NULL if none)

Examples:
  decoding.c, and high.c.

Referenced by kate_tracker_init().

kate_text_directionality kate_event::text_directionality

directionality of the text in this event

kate_text_encoding kate_event::text_encoding

character encoding for the text in this event

Referenced by kate_tracker_init().

kate_markup_type kate_event::text_markup_type

how to interpret any markup found in the text

The documentation for this struct was generated from the following file:

- /home/v/Kate/WORK_TREES/kate-sorceress-backup/v/src/kate/include/kate/kate.h